//
//	MBsysTran - Release 8.1
//
//	Copyright 
//	Universite catholique de Louvain (UCLouvain) 
//	Mechatronic, Electrical Energy, and Dynamic systems (MEED Division) 
//	2, Place du Levant
//	1348 Louvain-la-Neuve 
//	Belgium 
//
//	http://www.robotran.be 
//
//	==> Generation Date: Tue Jan 30 10:08:37 2024
//
//	==> Project name: five_point_suspension_c
//
//	==> Number of joints: 16
//
//	==> Function: F27 - Link Forces (3D)
//
//	==> Git hash: 9034ed7a9ff7b13e6df2e2fd994ccfc949192e56
//
//	==> Input XML
//

#include <math.h> 

#include "mbs_data.h"

#include "mbs_project_interface.h"

// #include "mbs_link3D_xml_five_point_suspension_c.h"  // future development
// #include "mbs_link3D_hard_five_point_suspension_c.h" // future development
 
void mbs_link3D(double **frc, double **trq,
MbsData *s, double tsim)
{
#include "mbs_link3D_five_point_suspension_c.h"

double  *q, *qd, *qdd;
double **l, **dpt;

frc = s->frc;
trq = s->trq;

q = s->q;
qd = s->qd;
qdd = s->qdd;

dpt = s->dpt;
l  = s->l;

// Number of continuation lines = 0

#include "mbs_message.h"

mbs_msg("This symbolic file should not be called. Please regenerate your symbolic files. Exiting.\n");
s->flag_stop = 1;
return;
}
